//------------------------------------------------------------------
//传感器定义
//只需在此文件定义就可以使用
//------------------------------------------------------------------
var Sensors = [
    //---------------------------------------------------TH001定义开始
    {
        name: "TH001",//在下拉中显示的名称
        img: "TH001.jpg",//显示传感器的图片(imges中)
        slaveAddr: "",//默认传感器地址
        Registers: [
            {
                regName: "1: Temperature",
                regAddr: 1,
                regType: Modbus.RegType.INPUT,
                valueType: Modbus.ValueType.Signed,
                valueScale: 0.1,
            },
            {
                regName: "2: Humidity",
                regAddr: 2,
                regType: Modbus.RegType.INPUT,
                valueType: Modbus.ValueType.Signed,
                valueScale: 0.1,
            },
        ],
        QueryAddrHex: "FF 03 00 64 00 01 D0 0B",//查询地址的数据
        slaveRegAddr: 0x64,//从机的地址所在的寄存器
        Tips:"Red: DC12V  Black: GND  Yellow: A+  Green: B-",
    },
    //---------------------------------------------------TH001定义结束
    //---------------------------------------------------Customize定义开始
    {
        name: "Customize",//传感器名称(下拉中显示的名称)
        img: "noimg.png",//传感器图片
        slaveAddr: "1",//默认传感器地址
        Registers: null,//寄存器定义(null可以输入，而不是下拉)
        QueryAddrHex: null,//查询设备地址的hex字符串
    },
    //---------------------------------------------------Customize定义结束
    //---------------------------------------------------5018定义开始
    {
        name: "RTU-5018(Slave)",//在下拉中显示的名称
        img: "5018.png",//传感器的图片(imges中)
        slaveAddr: "32",//默认传感器地址
        //定义多个寄存器
        Registers: [],
        Init: function () {
            var regs;
            regs = Rtu.GetRegisters(1001, 1, 4, "Di", Modbus.RegType.COIL, Modbus.ValueType.Unsigned, 1,false);
            this.Registers = this.Registers.concat(regs);
            regs = Rtu.GetRegisters(9201, 2, 4, "Counter", Modbus.RegType.INPUT, Modbus.ValueType.Float, 1, false);
            this.Registers = this.Registers.concat(regs);
            regs = Rtu.GetRegisters(1101, 1, 2, "Do", Modbus.RegType.COIL, Modbus.ValueType.Unsigned, 1,true);
            this.Registers = this.Registers.concat(regs);
            regs = Rtu.GetRegisters(1001, 2, 8, "Ain", Modbus.RegType.INPUT, Modbus.ValueType.Float, 1,false);
            this.Registers = this.Registers.concat(regs);
            regs = Rtu.GetRegisters(2201, 1, 64, "16bit-Reg", Modbus.RegType.KEEP, Modbus.ValueType.Signed, 1,true);
            this.Registers = this.Registers.concat(regs);
            regs = Rtu.GetRegisters(1201, 2, 64, "32bit-Reg", Modbus.RegType.KEEP, Modbus.ValueType.Long, 1,true);
            this.Registers = this.Registers.concat(regs);
            regs = Rtu.GetRegisters(3001, 1, 64, "Low-Reg", Modbus.RegType.KEEP, Modbus.ValueType.Signed, 1, true);
            this.Registers = this.Registers.concat(regs);
            regs = Rtu.GetRegisters(4001, 1, 64, "High-Reg", Modbus.RegType.KEEP, Modbus.ValueType.Signed, 1, true);
            this.Registers = this.Registers.concat(regs);
            regs = Rtu.GetRegisters(5001, 1, 1, "GPS-Longitude", Modbus.RegType.INPUT, Modbus.ValueType.Float, 1, false);
            this.Registers = this.Registers.concat(regs);
            regs = Rtu.GetRegisters(5003, 1, 1, "GPS-Latitude", Modbus.RegType.INPUT, Modbus.ValueType.Float, 1, false);
            this.Registers = this.Registers.concat(regs);
            regs = Rtu.GetRegisters(5005, 1, 1, "GPS-Speed", Modbus.RegType.INPUT, Modbus.ValueType.Float, 1, false);
            this.Registers = this.Registers.concat(regs);
        },
        QueryAddrHex: null,//查询地址的数据
        slaveRegAddr: null,//从机的地址所在的寄存器
        Tips:"Working in modbus slave mode",
    },

    //---------------------------------------------------5018定义结束
    //---------------------------------------------------5002-1定义开始
    {
        name: "RTU-5002-1(Slave)",//在下拉中显示的名称
        img: "5002-1.png",//传感器的图片(imges中)
        slaveAddr: "32",//默认传感器地址
        //定义多个寄存器
        Registers: [],
        Init: function () {
            var regs;
            regs = Rtu.GetRegisters(1001, 1, 4, "Di", Modbus.RegType.COIL, Modbus.ValueType.Unsigned, 1,false);
            this.Registers = this.Registers.concat(regs);
            regs = Rtu.GetRegisters(1101, 1, 4, "Do", Modbus.RegType.COIL, Modbus.ValueType.Unsigned, 1,true);
            this.Registers = this.Registers.concat(regs);
            regs = Rtu.GetRegisters(2201, 1, 32, "16bit-Reg", Modbus.RegType.KEEP, Modbus.ValueType.Signed, 1,true);
            this.Registers = this.Registers.concat(regs);
            regs = Rtu.GetRegisters(1201, 2, 32, "32bit-Reg", Modbus.RegType.KEEP, Modbus.ValueType.Long, 1,true);
            this.Registers = this.Registers.concat(regs);
        },
        QueryAddrHex: null,//查询地址的数据
        slaveRegAddr: null,//从机的地址所在的寄存器
        Tips: "Working in modbus slave mode",
    },
    //---------------------------------------------------5002-1定义结束
    //---------------------------------------------------L1101定义开始
    {
        name: "RTU-L1101S(Slave)",//在下拉中显示的名称
        img: "L1101.png",//传感器的图片(imges中)
        slaveAddr: "32",//默认传感器地址
        //定义多个寄存器
        Registers: [],
        Init: function () {
            var regs;
            regs = Rtu.GetRegisters(1001, 1, 1, "Di", Modbus.RegType.COIL, Modbus.ValueType.Unsigned, 1, false);
            this.Registers = this.Registers.concat(regs);
            regs = Rtu.GetRegisters(1101, 1, 1, "Do", Modbus.RegType.COIL, Modbus.ValueType.Unsigned, 1, true);
            this.Registers = this.Registers.concat(regs);
            //注:7101是signed的值，放大100倍的整数
            regs = Rtu.GetRegisters(7001, 2, 1, "Ex-Temperature", Modbus.RegType.INPUT, Modbus.ValueType.Float, 1, false);
            this.Registers = this.Registers.concat(regs);
            //注:8101是signed的值，放大10倍的整数
            regs = Rtu.GetRegisters(8001, 2, 1, "Ex-Humidity", Modbus.RegType.INPUT, Modbus.ValueType.Float, 1, false);
            this.Registers = this.Registers.concat(regs);
            regs = Rtu.GetRegisters(2201, 1, 16, "16bit-Reg", Modbus.RegType.KEEP, Modbus.ValueType.Signed, 1, true);
            this.Registers = this.Registers.concat(regs);
            regs = Rtu.GetRegisters(1201, 2, 16, "32bit-Reg", Modbus.RegType.KEEP, Modbus.ValueType.Long, 1, true);
            this.Registers = this.Registers.concat(regs);
        },
        QueryAddrHex: null,//查询地址的数据
        slaveRegAddr: null,//从机的地址所在的寄存器
        Tips: "Working in modbus slave mode",
    },
    //---------------------------------------------------L1101定义结束
];