﻿//------------------------------------------------------------------
//传感器定义
//只需在此文件定义就可以使用
//------------------------------------------------------------------
var Sensors = [
    //---------------------------------------------------CWT-T01S定义开始
    {
        name: "CWT-TM-2PT ", //在下拉中显示的名称
        img: "CWT-TM-2PT.jpg", //显示传感器的图片(imges中)
        slaveAddr: "1", //默认传感器地址
        // 寄存器配置
        Registers: [{
            regName: "channel 1",
            regAddr: 33,
            regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
      {
            regName: "channel 2 ",
            regAddr: 34,
            regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1
         },],
        QueryAddrHex: "00 03 00 10 00 01 84 1E", //查询地址的数据，如果注释掉则无读从机地址的按钮
        slaveRegAddr: 0x10, //从机的地址所在的寄存器
        slaveAddrCalc: "/256", //计算从机地址的公式(取高位，并且是整数)
        bpsAndParity: true, //显示bps和parity配置组件
        displayBtnWriteAddr: 1, //值0/1,0表示无写从机地址的按钮;1表示有写从机地址的按钮
        Tips: "Data can be written within 255 seconds after powerup",
    },
    {
        name: "CWT-TM-6PT", //在下拉中显示的名称
        img: "CWT-TM-6PT.jpg", //显示传感器的图片(imges中)
        slaveAddr: "1", //默认传感器地址
        // 寄存器配置
        Registers: [{
            regName: "channel 1",
            regAddr: 33,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
       {
            regName: "channel 2",
            regAddr: 34,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
       {
            regName: "channel 3",
            regAddr: 35,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
      {
            regName: "channel 4",
            regAddr: 36,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
      {
            regName: "channel 5",
            regAddr: 37,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
      {
            regName: "channel 6",
            regAddr: 38,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },],
        QueryAddrHex: "00 03 00 10 00 01 84 1E", //查询地址的数据，如果注释掉则无读从机地址的按钮
         slaveRegAddr: 0x10, //从机的地址所在的寄存器
        slaveAddrCalc: "/256", //计算从机地址的公式(取高位，并且是整数)
        bpsAndParity: true, //显示bps和parity配置组件
        displayBtnWriteAddr: 1, //值0/1,0表示无写从机地址的按钮;1表示有写从机地址的按钮
        Tips: "Data can be written within 255 seconds after powerup",
    },
    //---------------------------------------------------CWT-T01S定义结束
    //---------------------------------------------------CWT-T02S定义开始
    {
        name: "CWT-TM-8PT", //在下拉中显示的名称
        img: "CWT-TM-8PT.jpg", //显示传感器的图片(imges中)
        slaveAddr: "1", //默认传感器地址
        // 寄存器配置
        Registers: [{
            regName: "channel 1",
            regAddr: 105,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
       {
            regName: "channel 2",
            regAddr: 106,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
       {
            regName: "channel 3",
            regAddr: 107,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
      {
            regName: "channel 4",
            regAddr: 108,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
      {
            regName: "channel 5",
            regAddr: 109,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
      {
            regName: "channel 6",
            regAddr: 110,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
      {
            regName: "channel 7",
            regAddr: 111,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
      {
            regName: "channel 8",
            regAddr: 112,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },],
        QueryAddrHex: "00 03 00 10 00 01 84 1E", //查询地址的数据，如果注释掉则无读从机地址的按钮
         slaveRegAddr: 0x10, //从机的地址所在的寄存器
        slaveAddrCalc: "/256", //计算从机地址的公式(取高位，并且是整数)
        bpsAndParity: true, //显示bps和parity配置组件
        displayBtnWriteAddr: 1, //值0/1,0表示无写从机地址的按钮;1表示有写从机地址的按钮
        Tips: "Data can be written within 255 seconds after powerup",
    },
    //---------------------------------------------------CWT-T02S定义结束
    //---------------------------------------------------CWT-T03S定义开始
    {
        name: "CWT-TM-14PT", //在下拉中显示的名称
        img: "CWT-TM-14PT.jpg", //显示传感器的图片(imges中)
        slaveAddr: "", //默认传感器地址
        // 寄存器配置
        Registers: [{
            regName: "channel 1",
            regAddr: 33,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
       {
            regName: "channel 2",
            regAddr: 34,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
       {
            regName: "channel 3",
            regAddr: 35,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
      {
            regName: "channel 4",
            regAddr: 36,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
      {
            regName: "channel 5",
            regAddr: 37,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
      {
            regName: "channel 6",
            regAddr: 38,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
      {
            regName: "channel 7",
            regAddr: 39,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
      {
            regName: "channel 8",
            regAddr: 40,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
      {
            regName: "channel 9",
            regAddr: 41,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
       {
            regName: "channel 10",
            regAddr: 42,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
       {
            regName: "channel 11",
            regAddr: 43,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
      {
            regName: "channel 12",
            regAddr: 44,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
      {
            regName: "channel 13",
            regAddr: 45,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
      {
            regName: "channel 14",
            regAddr: 46,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },],
        QueryAddrHex: "00 03 00 10 00 01 84 1E", //查询地址的数据，如果注释掉则无读从机地址的按钮
         slaveRegAddr: 0x10, //从机的地址所在的寄存器
        slaveAddrCalc: "/256", //计算从机地址的公式(取高位，并且是整数)
        bpsAndParity: true, //显示bps和parity配置组件
        displayBtnWriteAddr: 1, //值0/1,0表示无写从机地址的按钮;1表示有写从机地址的按钮
        Tips: "Data can be written within 255 seconds after powerup",
    },
    //---------------------------------------------------CWT-T03S定义结束
    //---------------------------------------------------CWT-T04S定义开始
    {
        name: "CWT-TM-16PT", //在下拉中显示的名称
        img: "CWT-TM-16PT.jpg", //显示传感器的图片(imges中)
        slaveAddr: "", //默认传感器地址
        // 寄存器配置
        Registers: [{
            regName: "channel 1",
            regAddr: 33,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
       {
            regName: "channel 2",
            regAddr: 34,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
       {
            regName: "channel 3",
            regAddr: 35,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
      {
            regName: "channel 4",
            regAddr: 36,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
      {
            regName: "channel 5",
            regAddr: 37,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
      {
            regName: "channel 6",
            regAddr: 38,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
      {
            regName: "channel 7",
            regAddr: 39,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
      {
            regName: "channel 8",
            regAddr: 40,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
      {
            regName: "channel 9",
            regAddr: 41,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
       {
            regName: "channel 10",
            regAddr: 42,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
       {
            regName: "channel 11",
            regAddr: 43,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
      {
            regName: "channel 12",
            regAddr: 44,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
      {
            regName: "channel 13",
            regAddr: 45,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
      {
            regName: "channel 14",
            regAddr: 46,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
      {
            regName: "channel 15",
            regAddr: 47,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
      {
            regName: "channel 16",
            regAddr: 48,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },],
        QueryAddrHex: "00 03 00 10 00 01 84 1E", //查询地址的数据，如果注释掉则无读从机地址的按钮
         slaveRegAddr: 0x10, //从机的地址所在的寄存器
        slaveAddrCalc: "/256", //计算从机地址的公式(取高位，并且是整数)
        bpsAndParity: true, //显示bps和parity配置组件
        displayBtnWriteAddr: 1, //值0/1,0表示无写从机地址的按钮;1表示有写从机地址的按钮
        Tips: "Data can be written within 255 seconds after powerup",
    },
    //---------------------------------------------------CWT-T04S定义结束
   //---------------------------------------------------CWT-T04S定义开始
    {
        name: "CWT-TM-16TC", //在下拉中显示的名称
        img: "CWT-TM-16TC.jpg", //显示传感器的图片(imges中)
        slaveAddr: "", //默认传感器地址
        // 寄存器配置
        Registers: [{
            regName: "channel 1",
            regAddr: 33,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
       {
            regName: "channel 2",
            regAddr: 34,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
       {
            regName: "channel 3",
            regAddr: 35,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
      {
            regName: "channel 4",
            regAddr: 36,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
      {
            regName: "channel 5",
            regAddr: 37,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
      {
            regName: "channel 6",
            regAddr: 38,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
      {
            regName: "channel 7",
            regAddr: 39,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
      {
            regName: "channel 8",
            regAddr: 40,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
      {
            regName: "channel 9",
            regAddr: 41,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
       {
            regName: "channel 10",
            regAddr: 42,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
       {
            regName: "channel 11",
            regAddr: 43,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
      {
            regName: "channel 12",
            regAddr: 44,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
      {
            regName: "channel 13",
            regAddr: 45,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
      {
            regName: "channel 14",
            regAddr: 46,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
      {
            regName: "channel 15",
            regAddr: 47,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
      {
            regName: "channel 16",
            regAddr: 48,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },],
        QueryAddrHex: "00 03 00 10 00 01 84 1E", //查询地址的数据，如果注释掉则无读从机地址的按钮
         slaveRegAddr: 0x10, //从机的地址所在的寄存器
        slaveAddrCalc: "/256", //计算从机地址的公式(取高位，并且是整数)
        bpsAndParity: true, //显示bps和parity配置组件
        displayBtnWriteAddr: 1, //值0/1,0表示无写从机地址的按钮;1表示有写从机地址的按钮
        Tips: "Data can be written within 255 seconds after powerup",
    },
    //---------------------------------------------------CWT-T04S定义结束
     //---------------------------------------------------CWT-T05S定义开始
    {
        name: "CWT-TM-32DS", //在下拉中显示的名称
        img: "CWT-TM-32PT.jpg", //显示传感器的图片(imges中)
        slaveAddr: "", //默认传感器地址
        // 寄存器配置
        Registers: [{
            regName: "channel 1",
            regAddr: 33,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
       {
            regName: "channel 2",
            regAddr: 34,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
       {
            regName: "channel 3",
            regAddr: 35,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
      {
            regName: "channel 4",
            regAddr: 36,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
      {
            regName: "channel 5",
            regAddr: 37,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
      {
            regName: "channel 6",
            regAddr: 38,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
      {
            regName: "channel 7",
            regAddr: 39,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
      {
            regName: "channel 8",
            regAddr: 40,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
      {
            regName: "channel 9",
            regAddr: 41,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
       {
            regName: "channel 10",
            regAddr: 42,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
       {
            regName: "channel 11",
            regAddr: 43,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
      {
            regName: "channel 12",
            regAddr: 44,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
      {
            regName: "channel 13",
            regAddr: 45,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
      {
            regName: "channel 14",
            regAddr: 46,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
      {
            regName: "channel 15",
            regAddr: 47,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
      {
            regName: "channel 16",
            regAddr: 48,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
      {
            regName: "channel 17",
            regAddr: 49,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
       {
            regName: "channel 18",
            regAddr: 50,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
       {
            regName: "channel 19",
            regAddr: 51,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
      {
            regName: "channel 20",
            regAddr: 52,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
      {
            regName: "channel 21",
            regAddr: 53,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
      {
            regName: "channel 22",
            regAddr: 54,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
      {
            regName: "channel 23",
            regAddr: 55,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
      {
            regName: "channel 24",
            regAddr: 56,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
      {
            regName: "channel 25",
            regAddr: 57,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
       {
            regName: "channel 26",
            regAddr: 58,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
       {
            regName: "channel 27",
            regAddr: 59,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
      {
            regName: "channel 28",
            regAddr: 60,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
      {
            regName: "channel 29",
            regAddr: 61,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
      {
            regName: "channel 30",
            regAddr: 62,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
      {
            regName: "channel 31",
            regAddr: 63,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },
      {
            regName: "channel 32",
            regAddr: 64,
           regType: Modbus.RegType.KEEP,
            valueType: Modbus.ValueType.Signed,
            valueScale: 0.1,
        },],
        QueryAddrHex: "00 03 00 10 00 01 84 1E", //查询地址的数据，如果注释掉则无读从机地址的按钮
         slaveRegAddr: 0x10, //从机的地址所在的寄存器
        slaveAddrCalc: "/256", //计算从机地址的公式(取高位，并且是整数)
        bpsAndParity: true, //显示bps和parity配置组件
        displayBtnWriteAddr: 1, //值0/1,0表示无写从机地址的按钮;1表示有写从机地址的按钮
        Tips: "Data can be written within 255 seconds after powerup",
    },
    //---------------------------------------------------CWT-T05S定义结束
];